# Configuration file

##########################################################################################################
# compat
#--------------------------------------------------------------------------------------------------------#
# Settings related to compatibility with other mods.
##########################################################################################################

compat {
    # Maximum height under which aluminum ore will spawn. [range: 1 ~ 255, default: 58]
    I:aluminumMaxY=58

    # Minimum height over which aluminum ore will spawn. [range: 0 ~ 254, default: 0]
    I:aluminumMinY=0

    # Maximum size of a aluminum ore vein (in blocks) [range: 0 ~ 255, default: 6]
    I:aluminumVeinSize=0

    # Number of attempts to spawn aluminum ore the world generator will make for each chunk. [range: 0 ~ 255, default: 4]
    I:aluminumVeinsPerChunk=0

    # If true, Embers will register items, blocks, and recipes providing support for other mods' aluminum. [default: true]
    B:enableAluminum=true

    # If true, Embers will register items, blocks and recipes providing Baubles integration. [default: true]
    B:enableBaubles=true

    # If true, Embers will register items, blocks, and recipes providing support for other mods' bronze. [default: true]
    B:enableBronze=true

    # If true, Embers will register items, blocks, and recipes providing support for other mods' electrum. [default: true]
    B:enableElectrum=true

    # If true, Embers will register items, blocks and recipes providing Mystical Mechanics integration. [default: true]
    B:enableMysticalMechanics=true

    # If true, Embers will register items, blocks, and recipes providing support for other mods' nickel. [default: true]
    B:enableNickel=true

    # If true, Embers will register items, blocks, and recipes providing support for other mods' tin. [default: true]
    B:enableTin=true

    # Maximum height under which nickel ore will spawn. [range: 1 ~ 255, default: 24]
    I:nickelMaxY=24

    # Minimum height over which nickel ore will spawn. [range: 0 ~ 254, default: 0]
    I:nickelMinY=0

    # Maximum size of a nickel ore vein (in blocks) [range: 0 ~ 255, default: 6]
    I:nickelVeinSize=0

    # Number of attempts to spawn nickel ore the world generator will make for each chunk. [range: 0 ~ 255, default: 4]
    I:nickelVeinsPerChunk=0

    # Maximum height under which tin ore will spawn. [range: 1 ~ 255, default: 48]
    I:tinMaxY=48

    # Minimum height over which tin ore will spawn. [range: 0 ~ 254, default: 0]
    I:tinMinY=0

    # Maximum size of a tin ore vein (in blocks) [range: 0 ~ 255, default: 6]
    I:tinVeinSize=0

    # Number of attempts to spawn tin ore the world generator will make for each chunk. [range: 0 ~ 255, default: 6]
    I:tinVeinsPerChunk=0
}


misc {
    # Codex category is shut. Progression is open. [default: true]
    B:codexCategoryIsProgress=true

    # Codex entry is shut and hide. Progression is open and show. [default: true]
    B:codexEntryIsProgress=true

    # If true, Embers homing projectiles will go for neutral players. [default: false]
    B:everybodyIsAnEnemy=false
}


##########################################################################################################
# mobs
#--------------------------------------------------------------------------------------------------------#
# Settings related to ore generation.
##########################################################################################################

mobs {
    # How much knockback resistance Ancient Golems have. [range: 0.0 ~ 1.0, default: 1.0]
    S:ancientGolemKnockbackResistance=1.0

    # Spawning weight of the Ancient Golem mob. Higher values make golems spawn more frequently. [range: 0 ~ 32767, default: 25]
    I:ancientGolemSpawnWeight=25
}


##########################################################################################################
# ores
#--------------------------------------------------------------------------------------------------------#
# Settings related to ore generation.
##########################################################################################################

ores {
    # Maximum height under which copper ore will spawn. [range: 1 ~ 255, default: 64]
    I:copperMaxY=64

    # Minimum height over which copper ore will spawn. [range: 0 ~ 254, default: 0]
    I:copperMinY=0

    # Maximum size of a copper ore vein (in blocks) [range: 0 ~ 255, default: 12]
    I:copperVeinSize=12

    # Number of attempts to spawn copper ore the world generator will make for each chunk. [range: 0 ~ 255, default: 6]
    I:copperVeinsPerChunk=6

    # Maximum height under which lead ore will spawn. [range: 1 ~ 255, default: 28]
    I:leadMaxY=28

    # Minimum height over which lead ore will spawn. [range: 0 ~ 254, default: 0]
    I:leadMinY=0

    # Maximum size of a lead ore vein (in blocks) [range: 0 ~ 255, default: 8]
    I:leadVeinSize=8

    # Number of attempts to spawn lead ore the world generator will make for each chunk. [range: 0 ~ 255, default: 4]
    I:leadVeinsPerChunk=4

    # A list of all dimension IDs in which Embers orespawn is prohibited. Embers ores will spawn in any dimension not on this list, but only in vanilla stone. [default: [-1], [1]]
    S:oreBlacklist <
        -1
        1
     >

    # Whether the orespawn blacklist is a whitelist. [default: false]
    B:oreBlacklistIsWhitelist=false

    # Maximum height under which quartz ore will spawn. [range: 1 ~ 255, default: 18]
    I:quartzMaxY=18

    # Minimum height over which quartz ore will spawn. [range: 0 ~ 254, default: 0]
    I:quartzMinY=0

    # Maximum size of a quartz ore vein (in blocks) [range: 0 ~ 255, default: 8]
    I:quartzVeinSize=8

    # Number of attempts to spawn quartz ore the world generator will make for each chunk. [range: 0 ~ 255, default: 4]
    I:quartzVeinsPerChunk=4

    # Maximum height under which silver ore will spawn. [range: 1 ~ 255, default: 28]
    I:silverMaxY=28

    # Minimum height over which silver ore will spawn. [range: 0 ~ 254, default: 0]
    I:silverMinY=0

    # Maximum size of a silver ore vein (in blocks) [range: 0 ~ 255, default: 6]
    I:silverVeinSize=6

    # Number of attempts to spawn silver ore the world generator will make for each chunk. [range: 0 ~ 255, default: 4]
    I:silverVeinsPerChunk=4
}


##########################################################################################################
# parameters
#--------------------------------------------------------------------------------------------------------#
# Settings for machine/item/misc parameters
##########################################################################################################

parameters {
    # Whether ember conduits can attach to any ember consumer/producer [default: false]
    B:allAcceptVolatile=false

    melter {
        # The ember cost per tick. [range: -Infinity ~ Infinity, default: 1.0]
        S:cost=1.0

        # How many mb of fluid are obtained per ore output in the melter. This is multiplied by the amount of output a melter would produce, so by default 144mb * 2 ingots. [range: -2147483648 ~ 2147483647, default: 144]
        I:oreAmount=144

        # The time in ticks it takes to process one recipe. [range: -2147483648 ~ 2147483647, default: 200]
        I:processTime=200
    }

    geoseparator {
        # How much fluid (in mb) fits into a Geologic Seperator [range: -2147483648 ~ 2147483647, default: 1000]
        I:capacity=1000
    }

    stamper {
        # How many ingots are required to make one aspectus in the stamper. [range: -2147483648 ~ 2147483647, default: 1]
        I:aspectusAmount=1

        # How much fluid (in mb) fits into the Stamp Base. [range: -2147483648 ~ 2147483647, default: 1500]
        I:capacity=1500

        # How many ingots are required to make one gear in the stamper. [range: -2147483648 ~ 2147483647, default: 2]
        I:gearAmount=2

        # How many ingots are required to make one plate in the stamper. [range: -2147483648 ~ 2147483647, default: 1]
        I:plateAmount=1
    }

    emberbore {
        # A list of all dimension IDs in which Embers Ember Bore will not mine. [default: ]
        S:blacklist <
         >

        # The amount of fuel consumed each tick [range: -Infinity ~ Infinity, default: 3.0]
        S:fuelCost=3.0

        # Whether the Ember Bore blacklist is a whitelist. [default: false]
        B:isWhiteList=false

        # The time in ticks it takes to try one dig attempt. [range: -2147483648 ~ 2147483647, default: 200]
        I:processTime=200

        # The speed modifier of the Ember Bore before upgrades. [range: -Infinity ~ Infinity, default: 1.0]
        S:speedMod=1.0

        # The maximum y-level at which the Ember Bore can mine ember. [range: -2147483648 ~ 2147483647, default: 7]
        I:yMax=7
    }

    charger {
        # How much ember is transferred between item and charger per tick [range: -Infinity ~ Infinity, default: 10.0]
        S:transfer=10.0
    }

    cinderplinth {
        # The ember cost per tick. [range: -Infinity ~ Infinity, default: 0.5]
        S:cost=0.5

        # The time in ticks it takes to process one item. [range: -2147483648 ~ 2147483647, default: 40]
        I:processTime=40
    }

    dawnstoneanvil {
        # Number of hammer hits it takes to finish one process [range: -2147483648 ~ 2147483647, default: 40]
        I:maxHits=40
    }

    infernoforge {
        # The ember cost per tick. [range: -Infinity ~ Infinity, default: 16.0]
        S:cost=16.0

        # The maximum augment level that can be reforged to. [range: -2147483648 ~ 2147483647, default: 5]
        I:maxLevel=5

        # The time in ticks it takes to process one item. [range: -2147483648 ~ 2147483647, default: 200]
        I:processTime=200
    }

    tank {
        # How much fluid (in mb) fits into the Fluid Vessel. [range: -2147483648 ~ 2147483647, default: 16000]
        I:capacity=16000
    }

    reservoir {
        # How much fluid (in mb) fits into each Caminite Ring on a Reservoir. [range: -2147483648 ~ 2147483647, default: 40000]
        I:capacity=40000
    }

    miniboiler {
        # Whether or not the mini boiler should explode when at maximum steam pressure. [default: true]
        B:canExplode=true

        # How much fluid (in mb) fits into a mini boiler. [range: -2147483648 ~ 2147483647, default: 16000]
        I:capacity=16000

        # How efficient, heat-wise, the mini boiler is at making steam. [range: -Infinity ~ Infinity, default: 1.0]
        S:heatMultiplier=1.0
    }

    blazingray {
        # Time in ticks to fully charge. [range: -Infinity ~ Infinity, default: 20.0]
        S:charge=20.0

        # Cooldown in ticks between each shot. [range: -2147483648 ~ 2147483647, default: 10]
        I:cooldown=10

        # Ember used up by each shot. [range: -Infinity ~ Infinity, default: 25.0]
        S:cost=25.0

        # Damage dealt by one shot. [range: -Infinity ~ Infinity, default: 7.0]
        S:damage=7.0

        # Maximum shot distance. [range: -Infinity ~ Infinity, default: 96.0]
        S:distance=96.0

        # Maximum spread. [range: -Infinity ~ Infinity, default: 30.0]
        S:spread=30.0
    }

    cinderstaff {
        # Area of Effect on impact. [range: -Infinity ~ Infinity, default: 2.125]
        S:aoe=2.125

        # Time in ticks to fully charge. [range: -Infinity ~ Infinity, default: 60.0]
        S:charge=60.0

        # Cooldown in ticks between each shot. [range: -2147483648 ~ 2147483647, default: 10]
        I:cooldown=10

        # Ember used up by each shot. [range: -Infinity ~ Infinity, default: 25.0]
        S:cost=25.0

        # Damage dealt by one shot. [range: -Infinity ~ Infinity, default: 17.0]
        S:damage=17.0

        # Lifetime in ticks of projectile. [range: -2147483648 ~ 2147483647, default: 160]
        I:lifetime=160

        # Size of the projectile. [range: -Infinity ~ Infinity, default: 17.0]
        S:size=17.0
    }

    shiftingscales {
        # Syntax is 'damagetype:rate'. Determines which damage types are partially unaffected by the shifting scales augment. [default: [drown:1.0], [starve:1.0]]
        S:damagePasses <
            drown:1.0
            starve:1.0
         >

        # Syntax is 'damagetype:rate'. Specifies a separate damage rate for depleting the scales. [default: ]
        S:damageRates <
         >
    }

    steamengine {
        # How much fluid (in mb) fits into a Steam Engine. [range: -2147483648 ~ 2147483647, default: 8000]
        I:capacity=8000

        # How much water (in mb) is consumed every tick while burning solid fuel. [range: -2147483648 ~ 2147483647, default: 4]
        I:fluidConsumption=4

        # How much water (in mb) is necessary to start burning solid fuel. [range: -2147483648 ~ 2147483647, default: 10]
        I:fluidThreshold=10

        # How efficient, time-wise, solid fuel is in the steam turbine. 1 = fuel lasts as long as it would in a furnace. [range: -Infinity ~ Infinity, default: 2.0]
        S:fuelEfficiency=2.0

        # How much mechanical power is generated while burning solid fuel. [range: -Infinity ~ Infinity, default: 20.0]
        S:fuelPower=20.0

        # How much gas (in mb), such as steam, is consumed every tick. [range: -2147483648 ~ 2147483647, default: 20]
        I:gasConsumption=20

        # How much mechanical power can be generated at max. [range: -Infinity ~ Infinity, default: 50.0]
        S:maximumPower=50.0
    }

}


##########################################################################################################
# structures
#--------------------------------------------------------------------------------------------------------#
# Settings related to structure generation.
##########################################################################################################

structures {
    # A list of all dimension IDs in which Embers small ruin generation is prohibited. [default: [0]]
    S:smallRuinBlacklist <
        0
     >

    # Whether the small ruin generation blacklist is a whitelist. [default: true]
    B:smallRuinBlacklistIsWhitelist=true

    # Spawning frequency of the small ruin structure. A value of 0 will prevent spawning altogether. [range: 0 ~ 32767, default: 5]
    I:smallRuinChance=5
}


